/*
 * GenePID.c
 *
 *  Created on: 2013年9月29日
 *      Author: wangshuai
 */

#define __GENEPID

#include "GenePID.h"
/********************************************//**
 * 一般的PID控制方式，给定比例系数、积分系数、
 * 微分系数，给定量与实际量，输出结果
 ***********************************************/

float PID(float Kp, float Ki, float Kd, float GiveValue, float ActualValue)
{
    float result;
    float Err,KpWork, KiWork, KdWork;
    Err = GiveValue - ActualValue;
    KpWork = Kp*Err;
    KiWork = Ki*PIDErrADD;
    KdWork = Kd*(Err-ErrBack);
    result = KpWork+KiWork+KdWork;
    PIDErrADD = PIDErrADD + Err;
    ErrBack = Err;
    return result;
}
