#ifndef NOCOMDPID_H_INCLUDED
#define NOCOMDPID_H_INCLUDED

#include <math.h>
#ifdef __NOCOMDPID
    float NoComDPID(float Kp, float Ki, float Kd, float Aifa, float GiveValue, float ActualValue);
    float NoComIntErrBack;
    float NoComIntPIDErrADD;
    float ErrBbk;
    float KdWorkBbk;
#else
    extern float NoComDPID(float Kp, float Ki, float Kd, float Aifa,float GiveValue, float ActualValue);
    extern float NoComIntErrBack;
    extern float NoComIntPIDErrADD;
    extern float ErrBbk;
    extern float KdWorkBbk;
#endif



#endif // NOCOMDPID_H_INCLUDED
